Developers
V1PlatformReportsId

One report: the reported thing's public content, the action history and related reports

The reporter's own words are withheld from read-only staff on a child-safety report. No health or passport data is ever returned.

GET
/v1/platform/reports/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/platform/reports/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "report": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "reason": "spam",    "priority": true,    "targetKind": "profile",    "state": "open",    "reporterRef": "string",    "createdAt": "2019-08-24T14:15:22Z",    "ageHours": 0,    "overdue": true,    "lastAction": {      "action": "dismiss",      "at": "2019-08-24T14:15:22Z"    },    "summary": "string",    "hasNote": true  },  "detail": "string",  "detailWithheld": true,  "target": {    "kind": "profile",    "available": true,    "title": "string",    "summary": "string",    "handle": "string",    "bio": "string",    "city": "string",    "visibility": "private",    "moderationStatus": "pending",    "photoStatus": "string",    "accountRef": "90fd7359-7427-4d90-9f55-f027d607d532",    "profileId": "faebe71b-2bf8-4bdb-9b67-258e4d6aa00a",    "clubId": "4836dcb0-4b52-43b6-8d75-7f08a8fbf3a0",    "managed": true,    "suspendedUntil": "2019-08-24T14:15:22Z"  },  "actions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "action": "dismiss",      "note": "string",      "at": "2019-08-24T14:15:22Z",      "by": "string"    }  ],  "related": {    "total": 0,    "open": 0  }}